aboutsummaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
authorpracticalswift <practicalswift@users.noreply.github.com>2017-10-04 21:19:45 +0200
committerpracticalswift <practicalswift@users.noreply.github.com>2017-10-18 17:09:36 +0200
commit1e44ae0e198b0bc3c4363774a27a3e72a5c2a47b (patch)
treedd31098a6ed363911b6384a11455dd8977e4d4ca /share
parentb9e79ab415996964cfdfaaa0f8dddbcda8aa7d32 (diff)
downloadbitcoin-1e44ae0e198b0bc3c4363774a27a3e72a5c2a47b.tar.xz
Add error handling: exit if cd fails
Diffstat (limited to 'share')
-rwxr-xr-xshare/genbuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/share/genbuild.sh b/share/genbuild.sh
index 32ef2a5755..419e0da0fd 100755
--- a/share/genbuild.sh
+++ b/share/genbuild.sh
@@ -4,7 +4,7 @@
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
if [ $# -gt 1 ]; then
- cd "$2"
+ cd "$2" || exit 1
fi
if [ $# -gt 0 ]; then
FILE="$1"